﻿using System.Security.Cryptography;
using System.Text;

namespace Robware.Auth.Users {
	public class CryptographyProvider : ICryptographyProvider {
		public string Encrypt(string input) {
			using (var sha256 = SHA256.Create()) {
				var hash = sha256.ComputeHash(Encoding.UTF8.GetBytes(input));

				var builder = new StringBuilder();
				foreach (var b in hash)
					builder.Append(b.ToString("x2"));
				var hashString = builder.ToString();

				return hashString;
			}
		}
	}
}